summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-04-24 15:21:01 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-04-24 16:06:08 +0200
commitcf3d43252817a9078ed86fc1e524e500ca1db368 (patch)
tree2099bfc6233d639f55743be42133ed25fa8f4dd1 /gnustep-base
parentgnustep-base/gnustep-make: 2.7.0 bump (diff)
downloadgentoo-cf3d43252817a9078ed86fc1e524e500ca1db368.tar.gz
gentoo-cf3d43252817a9078ed86fc1e524e500ca1db368.tar.bz2
gentoo-cf3d43252817a9078ed86fc1e524e500ca1db368.zip
gnustep-base/gnustep-gui: 0.25.1 bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'gnustep-base')
-rw-r--r--gnustep-base/gnustep-gui/Manifest1
-rw-r--r--gnustep-base/gnustep-gui/gnustep-gui-0.25.1.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/gnustep-base/gnustep-gui/Manifest b/gnustep-base/gnustep-gui/Manifest
index d3ec5b5518c..5118f31584d 100644
--- a/gnustep-base/gnustep-gui/Manifest
+++ b/gnustep-base/gnustep-gui/Manifest
@@ -1 +1,2 @@
DIST gnustep-gui-0.25.0.tar.gz 2882556 SHA256 c5756026b339a838db5465b76af6aeda01c21b4f7a2f40215c1fa792631f4e82 SHA512 568c0c9160febbd9bc563bfc7fbec024bc583a2d6ccfb54e527630f1e761a51f57f984a8b83f06cab97f85e3eec183386057fed2d551a383a16cecb60f102dc2 WHIRLPOOL 613dc1c492660a8ef6e335408b05a70ba4cd0d5c0f9468bad6abe107c6f38c15f4f313b79523e45d9e8f4db20b282bdbc5376694363c4dccb54b57e32b9709d1
+DIST gnustep-gui-0.25.1.tar.gz 2888779 SHA256 3aacb277976014cfd4394084066187430100657dea234da91d9ae5015e747c66 SHA512 d69416c471d4f2fc9971e4aaddc5471b13854d00be6e03b78c3e89f9e7f90285c9024fc6992811296434d5dadf8ac02bcb69a1ceaa1c651461f83778165328e8 WHIRLPOOL ec044f37cd3b6c607ee584d791662633ff7d26d9438dae29e38283398c8fdba66d64fc9930589fc9a99e5e9a7d2eaf27e3b35f8afe3a2fe3e0c00b96ccb1081c
diff --git a/gnustep-base/gnustep-gui/gnustep-gui-0.25.1.ebuild b/gnustep-base/gnustep-gui/gnustep-gui-0.25.1.ebuild
new file mode 100644
index 00000000000..6fc6b5e6daf
--- /dev/null
+++ b/gnustep-base/gnustep-gui/gnustep-gui-0.25.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base multilib
+
+DESCRIPTION="Library of GUI classes written in Obj-C"
+HOMEPAGE="http://www.gnustep.org/"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="cups gif icu jpeg png speech"
+
+DEPEND="${GNUSTEP_CORE_DEPEND}
+ app-text/aspell
+ >=gnustep-base/gnustep-base-1.24.9[icu?]
+ media-libs/audiofile
+ >=media-libs/tiff-3:=
+ x11-libs/libXt
+ cups? ( >=net-print/cups-1.7.4:= )
+ gif? ( >=media-libs/giflib-4.1:= )
+ icu? ( dev-libs/icu:= )
+ jpeg? ( virtual/jpeg:= )
+ png? ( >=media-libs/libpng-1.2:= )
+ speech? ( app-accessibility/flite )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ gnustep-base_src_prepare
+
+ # remove hardcoded -g -Werror, bug #378179
+ sed -i -e 's/-g -Werror//' \
+ Tools/say/GNUmakefile \
+ Tools/speech/GNUmakefile \
+ || die
+}
+
+src_configure() {
+ egnustep_env
+
+ local myconf=
+ use gif && myconf="--disable-ungif --enable-libgif"
+
+ econf \
+ $(use_enable cups) \
+ $(use_enable icu) \
+ $(use_enable jpeg) \
+ $(use_enable png) \
+ $(use_enable speech) \
+ --with-tiff-include="${EPREFIX}"/usr/include \
+ --with-tiff-library="${EPREFIX}"/usr/$(get_libdir) \
+ ${myconf}
+}